From: Shawn Pearce <spearce@spearce.org>
To: git@vger.kernel.org
Subject: [PATCH 1/2] Avoid using the git wrapper in git-rebase.sh.
Date: Fri, 14 Jul 2006 00:46:55 -0400 [thread overview]
Message-ID: <20060714044655.GA1982@spearce.org> (raw)
Ideally 'shipped' commands (e.g. git-rebase) should avoid calling
the git wrapper when executing other commands to prevent the user
from shadowing those commands with aliases and causing the shipped
command behavior to differ unexpectedly.
Signed-off-by: Shawn O. Pearce <spearce@spearce.org>
---
git-rebase.sh | 12 ++++++------
1 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/git-rebase.sh b/git-rebase.sh
index 1b9e986..6d06665 100755
--- a/git-rebase.sh
+++ b/git-rebase.sh
@@ -131,7 +131,7 @@ do
finish_rb_merge
exit
fi
- git am --resolved --3way --resolvemsg="$RESOLVEMSG"
+ git-am --resolved --3way --resolvemsg="$RESOLVEMSG"
exit
;;
--skip)
@@ -150,7 +150,7 @@ do
finish_rb_merge
exit
fi
- git am -3 --skip --resolvemsg="$RESOLVEMSG"
+ git-am -3 --skip --resolvemsg="$RESOLVEMSG"
exit
;;
--abort)
@@ -163,7 +163,7 @@ do
else
die "No rebase in progress?"
fi
- git reset --hard ORIG_HEAD
+ git-reset --hard ORIG_HEAD
exit
;;
--onto)
@@ -231,7 +231,7 @@ esac
# The upstream head must be given. Make sure it is valid.
upstream_name="$1"
-upstream=`git rev-parse --verify "${upstream_name}^0"` ||
+upstream=`git-rev-parse --verify "${upstream_name}^0"` ||
die "invalid upstream $upstream_name"
# If a hook exists, give it a chance to interrupt
@@ -250,7 +250,7 @@ case "$#" in
git-checkout "$2" || usage
;;
*)
- branch_name=`git symbolic-ref HEAD` || die "No current branch"
+ branch_name=`git-symbolic-ref HEAD` || die "No current branch"
branch_name=`expr "z$branch_name" : 'zrefs/heads/\(.*\)'`
;;
esac
@@ -288,7 +288,7 @@ fi
if test -z "$do_merge"
then
git-format-patch -k --stdout --full-index "$upstream"..ORIG_HEAD |
- git am --binary -3 -k --resolvemsg="$RESOLVEMSG"
+ git-am --binary -3 -k --resolvemsg="$RESOLVEMSG"
exit $?
fi
--
1.4.1.gd3d5
next reply other threads:[~2006-07-14 4:47 UTC|newest]
Thread overview: 4+ messages / expand[flat|nested] mbox.gz Atom feed top
2006-07-14 4:46 Shawn Pearce [this message]
2006-07-14 16:10 ` [PATCH 1/2] Avoid using the git wrapper in git-rebase.sh Matthias Lederhofer
2006-07-14 16:26 ` Junio C Hamano
2006-07-14 23:28 ` Shawn Pearce
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20060714044655.GA1982@spearce.org \
--to=spearce@spearce.org \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.